(****************************************)
(* ITA Office97 Style Components        *)
(* Version 1.5                          *)
(*                                      *)
(****************************************)
(* (c) 1996-98 ITA Software Labs        *)
(* All right reserved.                  *)
(*                                      *)
(****************************************)
(* Internet: aepp@vsgtu.eastsib.ru      *)
(* WWW:                                 *)
(*   http://www.ita.eastsib.ru          *)
(*   http://i-connect.ru/~ita           *)                  
(****************************************)
unit child;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ita_common, ExtCtrls, ita_Office97;

type
  TChildForm = class(TForm)
    itaPanel1: TitaPanel;
    itaScrollBar1: TitaScrollBar;
    itaScrollBar2: TitaScrollBar;
    itaScrollBar3: TitaScrollBar;
    itaScrollBar4: TitaScrollBar;
    itaPanel2: TitaPanel;
    itaLabel1: TitaLabel;
    itaLabel2: TitaLabel;
    itaColorComboBox1: TitaColorComboBox;
    itaPanel3: TitaPanel;
    itaShape1: TitaShape;
    itaLabel3: TitaLabel;
    itaFontComboBox1: TitaFontComboBox;
    itaPanel4: TitaPanel;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    itaPanel5: TitaPanel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
    procedure itaColorComboBox1Change(Sender: TObject);
    procedure itaFontComboBox1Change(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ChildForm: TChildForm;

implementation

{$R *.DFM}

uses Main;

const
  ChildCount: integer = 0;

procedure TChildForm.FormCreate(Sender: TObject);
begin
  If ChildCount = 0 then
    MainForm.tbChild.Visible := true;
  Inc(ChildCount);
end;

procedure TChildForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Action := caFree;
end;

procedure TChildForm.FormDestroy(Sender: TObject);
begin
  Dec(ChildCount);
  If ChildCount = 0 then
    MainForm.tbChild.Visible := false;
end;

procedure TChildForm.itaColorComboBox1Change(Sender: TObject);
begin
  itaShape1.Brush.Color := itaColorComboBox1.ColorValue;
end;



procedure TChildForm.itaFontComboBox1Change(Sender: TObject);
begin
  itaPanel4.Font.Name := itaFontComboBox1.FontName;
end;

procedure TChildForm.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0: itaFontComboBox1.Device := fdBoth;
    1: itaFontComboBox1.Device := fdScreen;
    2: itaFontComboBox1.Device := fdPrinter;
  end;
end;

procedure TChildForm.CheckBox1Click(Sender: TObject);
begin
  itaColorComboBox1.DisplayNames := CheckBox1.Checked;
end;

end.
